Page MenuHomePhabricator

Dash widget to measure donations queue lag
Closed, ResolvedPublic2 Story Points

Description

This is an easy calculation, but we might be missing some information. We want to take the most recent few messages that were processed by the queue consumer and find the average of <time_recorded_in_civi> - source_enqueued_time. We might have to make that time available somewhere.

Event Timeline

awight created this task.Dec 1 2015, 7:15 PM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added subscribers: awight, MeganHernandez_WMF.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 1 2015, 7:15 PM
awight added a comment.Dec 1 2015, 7:49 PM

Ooh, we already have the information we need: it's just now() - source_enqueued_time of the top few donations in Civi.

Change 256341 had a related patch set uploaded (by Ejegg):
Add donation age widget

https://gerrit.wikimedia.org/r/256341

Change 256341 merged by jenkins-bot:
Add donation age widget

https://gerrit.wikimedia.org/r/256341

Change 256362 had a related patch set uploaded (by Ejegg):
Add donation age widget to Big English board

https://gerrit.wikimedia.org/r/256362

Change 256362 merged by jenkins-bot:
Add donation age widget to Big English board

https://gerrit.wikimedia.org/r/256362

Ejegg claimed this task.Dec 3 2015, 12:18 AM
Ejegg set Security to None.
Ejegg edited a custom field.
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Yo La Tengo board.

Change 256613 had a related patch set uploaded (by Ejegg):
Fix more problems with donation age / BE SQL

https://gerrit.wikimedia.org/r/256613

Change 256613 merged by jenkins-bot:
Fix more problems with donation age / BE SQL

https://gerrit.wikimedia.org/r/256613

Ejegg closed this task as Resolved.Dec 3 2015, 2:37 AM

Change 256744 had a related patch set uploaded (by Ejegg):
Add ganglia link to donation age widget

https://gerrit.wikimedia.org/r/256744

Change 256744 merged by jenkins-bot:
Add ganglia link to donation age widget

https://gerrit.wikimedia.org/r/256744

mmodell removed a subscriber: awight.Jun 22 2017, 9:51 PM